### Type parameters

- #### PubF: KeyFormat

- #### PrivF: KeyFormat

### Hierarchy

- DSAKeyPairOptions

## Index

### Properties

- divisorLength
- modulusLength
- privateKeyEncoding
- publicKeyEncoding

## Properties

### divisorLength

divisorLength: number

- Defined in node_modules/@types/node/crypto.d.ts:468

Size of q in bits

### modulusLength

modulusLength: number

- Defined in node_modules/@types/node/crypto.d.ts:464

Key size in bits

### privateKeyEncoding

privateKeyEncoding: BasePrivateKeyEncodingOptions<PrivF> & object

- Defined in node_modules/@types/node/crypto.d.ts:474

### publicKeyEncoding

publicKeyEncoding: object

- Defined in node_modules/@types/node/crypto.d.ts:470

#### Type declaration

- ##### format: PubF

- ##### type: "spki"

Generated using TypeDoc